GET
/import/status/Check import status
You can return the list of all imports. By adding "?import_id=<import_id>" param, you can check a specific import status.
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2"
"https://<your_app_subdomain>.user.com/api/public/import/status/?import_id=<import_id>"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/import/status/?import_id=<import_id>");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/import/status/?import_id=<import_id>",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import http.client
conn = http.client.HTTPSConnection("<your_app_subdomain>.user.com")
payload = ""
headers = { 'authorization': "Token <your_64_char_api_key>", "Accept": "*/*; version=2" }
conn.request("GET", "/api/public/import/status/?import_id=<import_id>", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
Response
| Name | Description |
|---|---|
| id | A unique identifier for your import automatically generated by the User.com app |
| total_count | A number of all users provided in a CSV file |
| succeeded | A number of successfully imported users |
| failed | A number of users that haven't been imported due to some error |
| started_at | A DateTime when your import has started |
| finished_at | A DateTime when you import has finished (do not mistake with a DateTime when your users should be created) |
| rows_with_errors | A list of a maximum first 50 rows that resulted in some error during the import |
Response example
{
"success": true,
"data": {
"id": "ccfa2628-b054-4ac4-8d03-097914b663c8",
"status": "finished",
"total_count": 3,
"succeeded": 3,
"failed": 0,
"started_at": "2025-06-18T13:11:14.645498Z",
"finished_at": "2025-06-18T13:11:15.178206Z",
"author": 1,
"rows_with_errors": []
}
}